function  output_corrected = MaxKCA_2_MaxKMCA( output,maxk )
      output_corrected = output;
      
      output_corrected.K = maxk;
      output_corrected.aev = 100/maxk;
      output_corrected.eig=output.eig(1:maxk,:);
      output_corrected.F = output.F(:,1:maxk);
      output_corrected.G = output.G(:,1:maxk);
      output_corrected.X = output.X(:,1:maxk);
      output_corrected.Y = output.Y(:,1:maxk);
      output_corrected.H = output.H(:,1:maxk);
      output_corrected.Z = output.Z(:,1:maxk);
      output_corrected.ARC = output.ARC(:,1:maxk);
      output_corrected.ACC = output.ACC(:,1:maxk);
      output_corrected.RRC = output.RRC(:,1:maxk);
      output_corrected.RCC = output.RCC(:,1:maxk);
      output_corrected.Br = output.Br(:,1:maxk);
      output_corrected.Bc = output.Bc(:,1:maxk);
      
      if isfield('output','Fsup'),
         output_corrected.Fsup = output.Fsup(:,1:maxk);
      end;
      if isfield('output','Xsup'),
         output_corrected.Xsup = output.Xsup(:,1:maxk);
      end;
      if isfield('output','Hsup'),
         output_corrected.Hsup = output.Hsup(:,1:maxk);
      end;
      if isfield('output','Gsup'),
         output_corrected.Gsup = output.Gsup(:,1:maxk);
      end;
      if isfield('output','Ysup'),
         output_corrected.Ysup = output.Ysup(:,1:maxk);
      end;
      if isfield('output','Zsup'),
         output_corrected.Zsup = output.Zsup(:,1:maxk);
      end;

end

