%Diagrama de barras de texto
function bartext( X,labels,maxf)

  ABC = 40;

  ORD = max(X(:,1))-min(X(:,1)) + 1;
  
  table=tabulate(X(:,1));
  
  if nargin<3 
     maxf = max(table(:,2));
  end;
  
  uni  = ABC/maxf;

 if nargin == 2,
  %print with labels
  buff=sprintf('\n                Value     Freq  Percent');disp(buff);
  buff=sprintf('                                        |');disp(buff);
  for i=1:ORD,
      str = '';
      tot = table(i,2)*uni;
      for j=1:tot,
          str(j) = char('*');
      end;
      buff=sprintf(' %20s    %4.0f  %6.2f   | %s',char(labels(i)),table(i,2),table(i,3),str);
	  disp(buff);
  end;
  buff=sprintf('                                        +-----------+---------+---------+-----------+\n');disp(buff);
  buff=sprintf('                                        0        %3.1f       %3.1f       %3.1f        %3.1f\n\n',maxf/4.0,maxf/2.0,maxf/4.0 + maxf/2.0,maxf);disp(buff)
 else,
  %print without labels   
  buff=sprintf('\n Value     Freq  Percent');disp(buff);
  buff=sprintf('                         |');disp(buff);
  for i=1:ORD,
      str = '';
      tot = table(i,2)*uni;
      for j=1:tot,
          str(j) = char('*');
      end;
      buff=sprintf(' %5.0f    %4.0f  %6.2f   | %s',table(i,1),table(i,2),table(i,3),str);
	  disp(buff);
  end;
  buff=sprintf('                         +-----------+---------+---------+-----------+\n');disp(buff);
  buff=sprintf('                         0        %3.1f       %3.1f       %3.1f        %3.1f\n\n',maxf/4.0,maxf/2.0,maxf/4.0 + maxf/2.0,maxf);disp(buff)
     
 end;
return;
